--- CMakeLists.txt.orig
+++ CMakeLists.txt
@@ -187,8 +187,12 @@ add_subdirectory(docs)
 ########################################################################
 # Install cmake search helper for this library
 ########################################################################
+if(NOT CMAKE_MODULES_DIR)
+  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
+endif(NOT CMAKE_MODULES_DIR)
+
 install(FILES cmake/Modules/specestConfig.cmake
-    DESTINATION lib/cmake/specest
+    DESTINATION ${CMAKE_MODULES_DIR}/specest
 )
 
 ########################################################################
--- lib/cyclo_fam_calcspectrum_algo.cc.orig
+++ lib/cyclo_fam_calcspectrum_algo.cc
@@ -93,10 +93,14 @@
 
 		 // Copy input stream to d_complex_demodulates and do the phase shifting
 		 for(int m = 0; m < d_P*d_Np; m++) {
+#if 0
 		    d_complex_demodulates[p][i].real(in[m].real()*cos(2*M_PI*i*(p*d_L)/d_Np)+
 		                                         in[m].imag()*sin(2*M_PI*i*(p*d_L)/d_Np));
 		    d_complex_demodulates[p][i].imag(in[m].imag()*cos(2*M_PI*i*(p*d_L)/d_Np)-
 		                                         in[m].real()*sin(2*M_PI*i*(p*d_L)/d_Np));
+#else
+		    d_complex_demodulates[p][i] = in[m] * gr_complex (cos(2*M_PI*i*(p*d_L)/d_Np), -sin(2*M_PI*i*(p*d_L)/d_Np));
+#endif
 		    i++;
 
 		    if((m+1)%d_Np==0){ // End of vector length Np
--- lib/pad_vector_impl.cc.orig
+++ lib/pad_vector_impl.cc
@@ -41,7 +41,7 @@ namespace gr {
               gr::io_signature::make(1, 1, vlen_in * item_size),
               gr::io_signature::make(1, 1, vlen_out * item_size))
     {
-      if (item_size, vlen_in < vlen_out) {
+      if (vlen_in < vlen_out) {
 	d_copylen = vlen_in * item_size;
 	d_padlen = (vlen_out - vlen_in) * item_size;
       } else {
